Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/43485/?format=api
{ "ob_id": 43485, "uuid": "c701076b44c14a918f7cdb9641bf2d78", "title": "Benthic images recorded by a Remotely Operated Vehicle video camera during cruise JC241 in the eastern Clarion-Clipperton Zone (Pacific Ocean, 2023)", "abstract": "A collection of video images was obtained using an oblique-looking camera mounted on the UK ISIS Remotely Operated Vehicle (ROV), deployed from the RRS James Cook during cruise JC241 in the abyssal plain (~4700 m depth) of the Clarion-Clipperton Zone, Pacific Ocean, in 2023. The images were obtained in an area that included a site disturbed by a deep-sea mining machine in 1979. The mining machine (9 m wide, 14 m long, 4.5 m high) was operated by the Ocean Minerals Company (OMCO) from the ship Hughes Glomar Explorer on the seafloor between 15 and 18 March 1979 at a site centred 13°44'N 126°13.5'W. The videos show the disturbance caused by the past mining activities. The data were collected by scientists from the National Oceanography Centre, Southampton, UK as part of the NERC-funded Seabed Mining And Resilience To EXperimental impact (SMARTEX) project (NE/T003537/1).", "keywords": "", "publicationState": "citable", "dataPublishedTime": "2025-02-11T16:58:53", "doiPublishedTime": "2025-02-11T16:58:53", "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/43484/?format=api", "dataPath": "/bodc/deposits01/soc250721", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 47926427961, "numberOfFiles": 15, "fileFormat": ".mp4 and .csv" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/12071/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/4695/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The data are archived on the British Oceanographic Data Centre (BODC)'s space at the Centre for Environmental Data Analysis (CEDA) and assigned a DOI. No quality control procedures were applied by BODC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/13240/?format=api" ], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207067/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207064/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207065/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207066/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207068/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207069/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207070/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207071/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207072/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207073/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207074/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }